> For the complete documentation index, see [llms.txt](https://docs.ironblocks.com/platform/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ironblocks.com/platform/threat-detection/api-and-web-hook/webhook.md).

# Webhook

Register your own webhook to receive live notificationsYou can register your own webhook to be notified (`POST`) in real-time on any suspicious or critical transactions targeting your protocol.Ironblocks support team will contact and help you to set it up. Following is an example of the different types of variables that can be sent in the notification:

### Post body example <a href="#post-body-example" id="post-body-example"></a>

`POST` `https://your-domainl/your-path`

**Request Body**

| Name                | Type      | Description                                                                         |
| ------------------- | --------- | ----------------------------------------------------------------------------------- |
| protocol            | string    | The name of your protocol.                                                          |
| chainId             | integer   | The id of the underlying blockchain                                                 |
| assets              | \[string] | A list of protocol addresses that were present in the transaction.                  |
| transferredUSD      | integer   | The amount transferred (in/out) the protocol, as a signed int.                      |
| txHash              | string    | The transaction hash string.                                                        |
| severity            | enum      | The inspection status: `critical`, `suspicious`                                     |
| watch\_event\_codes | \[enum]   | Any the following: `anchor_z`, `asymmetric_balance`, `malicious_admin`, `open_door` |

You can ask to add/subtract variables to match your protocol Database.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ironblocks.com/platform/threat-detection/api-and-web-hook/webhook.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
